System 2.0.0.0 4.0.0.0 System.EventArgs

The class provides data for the event, which signals that an item is about to be added to a collection. The event gives the programmer, within the event handler , the option of supplying the new object by setting the property to this new item. If this property is not set, the collection will typically use the default constructor of the appropriate type to construct a new item. In either case, the new item will be added to the collection.

If the collection also implements the interface, the item will be provisionally added, waiting a subsequent commit or rollback.

This event is commonly used in data-binding scenarios, within classes such as and .

For more information about handling events, see Consuming Events.

Provides data for the event.

- Constructor
  2.0.0.0
  4.0.0.0

  The default constructor sets the property to null. A value that is null indicates that, if the does not explicitly set this property, the collection will take standard steps to provide a new item to add to itself.

  Initializes a new instance of the class using no parameters.

- Constructor
  2.0.0.0
  4.0.0.0

  The constructor sets the property to the parameter. This object will be used as the new item to be added to the associated collection, unless this property is updated by the event handler.

  Initializes a new instance of the class using the specified object as the new item.

  An to use as the new item value.
- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  If the property is set to null, it indicates that the collection is to take the standard action, which typically entails creating an object of the appropriate type using its default constructor, and then adding it to the collection.

  Gets or sets the object to be added to the binding list.